# Uses of Interface
javax.help.TextHelpModel.Highlight

Packages that use TextHelpModel.Highlight
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.

## Uses of TextHelpModel.Highlight in javax.help

Classes in javax.help that implement TextHelpModel.Highlight
Modifier and Type
Class
Description
`static class`
`DefaultHelpModel.DefaultHighlight`
A default implementation of TextHelpModel.Highlight
Methods in javax.help that return TextHelpModel.Highlight
Modifier and Type
Method
Description
`TextHelpModel.Highlight[]`
DefaultHelpModel.`getHighlights()`
Geta all the highlights currently active.
`TextHelpModel.Highlight[]`
TextHelpModel.`getHighlights()`
Gets all highlights.
Methods in javax.help with parameters of type TextHelpModel.Highlight
Modifier and Type
Method
Description
`void`
DefaultHelpModel.`setHighlights(TextHelpModel.Highlight[] h)`
Set highlights.
`void`
TextHelpModel.`setHighlights(TextHelpModel.Highlight[] h)`
Sets the highlights to be a range of positions in a document.